﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Data.Common;
using System.Data.SQLite;

namespace SQLiteCon
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        //移除table
        private void button1_Click(object sender, EventArgs e)
        {
            try
            {
                using (DbConnection con = Db.getConnection())
                {
                    con.Open();
                    DbCommand cmd = con.CreateCommand();
                    cmd.CommandText = "drop table mytest";
                    cmd.ExecuteNonQuery();
                    con.Close();
                }
            }
            catch (SQLiteException) { };
        }
        //建立table
        private void button2_Click(object sender, EventArgs e)
        {
            try
            {
                using (DbConnection con = Db.getConnection())
                {
                    con.Open();
                    DbCommand cmd = con.CreateCommand();
                    cmd.CommandText = "create table mytest(item_id TEXT,item_name TEXT);";
                    cmd.ExecuteNonQuery();
                    con.Close();
                }
            }
            catch (SQLiteException) { };
        }
        //新增二筆資料,當測試
        private void button3_Click(object sender, EventArgs e)
        {
            try
            {
                using (DbConnection con = Db.getConnection())
                {
                    con.Open();
                    DbCommand cmd = con.CreateCommand();
                    cmd.CommandText = "insert into mytest(item_id ,item_name ) values('111','中文');";
                    cmd.ExecuteNonQuery();
                    cmd.CommandText = "insert into mytest(item_id ,item_name ) values('222','abc');";
                    cmd.ExecuteNonQuery();


                    con.Close();
                }
            }
            catch (SQLiteException) { };
        }
        //載入資料到DataSource,則form的GridView就可以看到資料了
        private void button4_Click(object sender, EventArgs e)
        {
            List<mytest> list = (new mytestnList()).getAllList();
            bindingSource1.DataSource = list;

            List<mytest> list2 = (new mytestnList2()).getAllList();
            bindingSource2.DataSource = list2;
        }
    }
}
